@keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}

@-webkit-keyframes spin {
  to {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }

}

div#loadMe {
  width: 150px !important;
  height: 150px !important;
  max-height: none;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
}

.ui-dialog {
    width: 600px !important;
}

#loadMe .modal-content {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: transparent !important;
    background-clip: padding-box;
    border: 0px !important;
    border-radius: 0.3rem;
    outline: 0;
    box-shadow: none;
  
}

[aria-describedby="loadMe"] {
  background: none;
  box-shadow: none;
}
[aria-labelledby="loadMeLabel"] {
    background: none !important;
}
[aria-describedby="loadMe"] .ui-dialog-titlebar {
    border-bottom: none !important;
}
  [aria-describedby="loadMe"] button {
    display: none;
  }

.modal {
    /*background-color: #ffffff !important;*/
    border-radius: 50%;
}

.ui-widget-overlay {
    width: 100% !important;
    height: 100% !important;
    background-color: black !important;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(2px);
    opacity: 0.6;
    position: fixed;
    margin: auto;
    z-index: 2000;
    top: 0;
    left: 0;
    right: 0;
}

.spinner {
    width: 80px;
    height: 80px;
    border: 6px solid rgba(255, 255, 255, 0.3); /* טבעת חיצונית רכה */
    border-top-color: #ffffff; /* טבעת עליונה מוארת */
    border-radius: 50%;
    animation: spin 1s linear infinite;
    box-shadow: 0 0 10px rgba(255,255,255,0.4);
    filter: drop-shadow(0 0 8px rgba(255, 255, 255, 0.6));
}

[aria-describedby="loadMe"] {
    position: fixed !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%) !important;
}

@media (max-width: 500px) {
    [aria-describedby="loadMe"] {
        top: 210px;
        margin: auto;
        position: fixed;
        transform: translate(-50%, -50%);
        touch-action: none;
        -webkit-tap-highlight-color: transparent;
    }
}
